window.Gleam.initSearch([{"doc":"gluple","title":"gluple","content":"# gluple\n\n[![Package Version](https://img.shields.io/hexpm/v/gluple)](https://hex.pm/packages/gluple)\n[![Hex Docs](https://img.shields.io/badge/hex-docs-ffaff3)](https://hexdocs.pm/gluple/)\n\nTuple methods for Gleam\n\n```sh\ngleam add gluple\n```\n\n```gleam\nimport gluple/reflect as gr\nimport gluple/addition as ga\nimport gluple/transform as gt\n\npub fn main() {\n  gr.is_tuple(#(1, 2, 3)) // True\n\n  gr.tuple_size(#(1, True, &quot;test&quot;)) // Ok(3)\n\n  gr.tuple_element(#(&quot;test&quot;), 0) // Ok(dynamic.from(&quot;test&quot;))\n\n  gr.tuple_to_list(#(1, 2, 3)) // Ok([dynamic.from(1), dynamic.from(2), dynamic.from(3)])\n\n  gr.list_to_tuple([1, 2, 3]) // dynamic.from(#(1, 2, 3))\n\n  ga.append2(#(1, True), &quot;test&quot;) // #(1, True, &quot;test&quot;)\n\n  {\n    use _n, _b, &lt;- ga.with_append2(#(1, True))\n    &quot;test&quot;\n  } // #(1, True, &quot;test&quot;)\n\n  gt.replace_last2(#(1, True), &quot;test&quot;) // #(1, &quot;test&quot;)\n\n  {\n    use _n, _b, &lt;- ga.with_replace2(#(1, True))\n    &quot;test&quot;\n  } // #(1, &quot;test&quot;)\n}\n```\n\nFurther documentation can be found at &lt;https://hexdocs.pm/gluple&gt;.\n\n## Development\n\n```sh\ngleam run   # Run the project\ngleam test  # Run the tests\ngleam shell # Run an Erlang shell\n```\n","url":"index.html"},{"doc":"gluple/addition","title":"append1","content":"pub fn append1(tuple: #(a), data: b) -&gt; #(a, b)\n\nSynonyms:\ngluple/addition.append1\ngluple/addition append1","url":"gluple/addition.html#append1"},{"doc":"gluple/addition","title":"append2","content":"pub fn append2(tuple: #(a, b), data: c) -&gt; #(a, b, c)\n\nSynonyms:\ngluple/addition.append2\ngluple/addition append2","url":"gluple/addition.html#append2"},{"doc":"gluple/addition","title":"append3","content":"pub fn append3(tuple: #(a, b, c), data: d) -&gt; #(a, b, c, d)\n\nSynonyms:\ngluple/addition.append3\ngluple/addition append3","url":"gluple/addition.html#append3"},{"doc":"gluple/addition","title":"append4","content":"pub fn append4(tuple: #(a, b, c, d), data: e) -&gt; #(a, b, c, d, e)\n\nSynonyms:\ngluple/addition.append4\ngluple/addition append4","url":"gluple/addition.html#append4"},{"doc":"gluple/addition","title":"append5","content":"pub fn append5(\n  tuple: #(a, b, c, d, e),\n  data: f,\n) -&gt; #(a, b, c, d, e, f)\n\nSynonyms:\ngluple/addition.append5\ngluple/addition append5","url":"gluple/addition.html#append5"},{"doc":"gluple/addition","title":"append6","content":"pub fn append6(\n  tuple: #(a, b, c, d, e, f),\n  data: g,\n) -&gt; #(a, b, c, d, e, f, g)\n\nSynonyms:\ngluple/addition.append6\ngluple/addition append6","url":"gluple/addition.html#append6"},{"doc":"gluple/addition","title":"append7","content":"pub fn append7(\n  tuple: #(a, b, c, d, e, f, g),\n  data: h,\n) -&gt; #(a, b, c, d, e, f, g, h)\n\nSynonyms:\ngluple/addition.append7\ngluple/addition append7","url":"gluple/addition.html#append7"},{"doc":"gluple/addition","title":"append8","content":"pub fn append8(\n  tuple: #(a, b, c, d, e, f, g, h),\n  data: i,\n) -&gt; #(a, b, c, d, e, f, g, h, i)\n\nSynonyms:\ngluple/addition.append8\ngluple/addition append8","url":"gluple/addition.html#append8"},{"doc":"gluple/addition","title":"append9","content":"pub fn append9(\n  tuple: #(a, b, c, d, e, f, g, h, i),\n  data: j,\n) -&gt; #(a, b, c, d, e, f, g, h, i, j)\n\nSynonyms:\ngluple/addition.append9\ngluple/addition append9","url":"gluple/addition.html#append9"},{"doc":"gluple/addition","title":"with_append1","content":"pub fn with_append1(tuple: #(a), cb: fn(a) -&gt; b) -&gt; #(a, b)\n\nSynonyms:\ngluple/addition.with_append1\ngluple/addition with_append1","url":"gluple/addition.html#with_append1"},{"doc":"gluple/addition","title":"with_append2","content":"pub fn with_append2(\n  tuple: #(a, b),\n  cb: fn(a, b) -&gt; c,\n) -&gt; #(a, b, c)\n\nSynonyms:\ngluple/addition.with_append2\ngluple/addition with_append2","url":"gluple/addition.html#with_append2"},{"doc":"gluple/addition","title":"with_append3","content":"pub fn with_append3(\n  tuple: #(a, b, c),\n  cb: fn(a, b, c) -&gt; d,\n) -&gt; #(a, b, c, d)\n\nSynonyms:\ngluple/addition.with_append3\ngluple/addition with_append3","url":"gluple/addition.html#with_append3"},{"doc":"gluple/addition","title":"with_append4","content":"pub fn with_append4(\n  tuple: #(a, b, c, d),\n  cb: fn(a, b, c, d) -&gt; e,\n) -&gt; #(a, b, c, d, e)\n\nSynonyms:\ngluple/addition.with_append4\ngluple/addition with_append4","url":"gluple/addition.html#with_append4"},{"doc":"gluple/addition","title":"with_append5","content":"pub fn with_append5(\n  tuple: #(a, b, c, d, e),\n  cb: fn(a, b, c, d, e) -&gt; f,\n) -&gt; #(a, b, c, d, e, f)\n\nSynonyms:\ngluple/addition.with_append5\ngluple/addition with_append5","url":"gluple/addition.html#with_append5"},{"doc":"gluple/addition","title":"with_append6","content":"pub fn with_append6(\n  tuple: #(a, b, c, d, e, f),\n  cb: fn(a, b, c, d, e, f) -&gt; g,\n) -&gt; #(a, b, c, d, e, f, g)\n\nSynonyms:\ngluple/addition.with_append6\ngluple/addition with_append6","url":"gluple/addition.html#with_append6"},{"doc":"gluple/addition","title":"with_append7","content":"pub fn with_append7(\n  tuple: #(a, b, c, d, e, f, g),\n  cb: fn(a, b, c, d, e, f, g) -&gt; h,\n) -&gt; #(a, b, c, d, e, f, g, h)\n\nSynonyms:\ngluple/addition.with_append7\ngluple/addition with_append7","url":"gluple/addition.html#with_append7"},{"doc":"gluple/addition","title":"with_append8","content":"pub fn with_append8(\n  tuple: #(a, b, c, d, e, f, g, h),\n  cb: fn(a, b, c, d, e, f, g, h) -&gt; i,\n) -&gt; #(a, b, c, d, e, f, g, h, i)\n\nSynonyms:\ngluple/addition.with_append8\ngluple/addition with_append8","url":"gluple/addition.html#with_append8"},{"doc":"gluple/addition","title":"with_append9","content":"pub fn with_append9(\n  tuple: #(a, b, c, d, e, f, g, h, i),\n  cb: fn(a, b, c, d, e, f, g, h, i) -&gt; j,\n) -&gt; #(a, b, c, d, e, f, g, h, i, j)\n\nSynonyms:\ngluple/addition.with_append9\ngluple/addition with_append9","url":"gluple/addition.html#with_append9"},{"doc":"gluple/addition","title":"gluple/addition","content":"","url":"gluple/addition.html"},{"doc":"gluple/reflect","title":"is_tuple","content":"pub fn is_tuple(maybe_tuple: a) -&gt; Bool\n\nSynonyms:\ngluple/reflect.is_tuple\ngluple/reflect is_tuple","url":"gluple/reflect.html#is_tuple"},{"doc":"gluple/reflect","title":"list_to_tuple","content":"pub fn list_to_tuple(list: List(a)) -&gt; Dynamic\n\nSynonyms:\ngluple/reflect.list_to_tuple\ngluple/reflect list_to_tuple","url":"gluple/reflect.html#list_to_tuple"},{"doc":"gluple/reflect","title":"tuple_element","content":"pub fn tuple_element(\n  tuple: a,\n  index: Int,\n) -&gt; Result(Dynamic, List(DecodeError))\n\nSynonyms:\ngluple/reflect.tuple_element\ngluple/reflect tuple_element","url":"gluple/reflect.html#tuple_element"},{"doc":"gluple/reflect","title":"tuple_size","content":"pub fn tuple_size(tuple: a) -&gt; Result(Int, List(DecodeError))\n\nSynonyms:\ngluple/reflect.tuple_size\ngluple/reflect tuple_size","url":"gluple/reflect.html#tuple_size"},{"doc":"gluple/reflect","title":"tuple_to_list","content":"pub fn tuple_to_list(\n  tuple: a,\n) -&gt; Result(List(Dynamic), List(DecodeError))\n\nSynonyms:\ngluple/reflect.tuple_to_list\ngluple/reflect tuple_to_list","url":"gluple/reflect.html#tuple_to_list"},{"doc":"gluple/reflect","title":"gluple/reflect","content":"","url":"gluple/reflect.html"},{"doc":"gluple/transform","title":"replace_last1","content":"pub fn replace_last1(: #(a), data: b) -&gt; #(b)\n\nSynonyms:\ngluple/transform.replace_last1\ngluple/transform replace_last1","url":"gluple/transform.html#replace_last1"},{"doc":"gluple/transform","title":"replace_last2","content":"pub fn replace_last2(tuple: #(a, b), data: c) -&gt; #(a, c)\n\nSynonyms:\ngluple/transform.replace_last2\ngluple/transform replace_last2","url":"gluple/transform.html#replace_last2"},{"doc":"gluple/transform","title":"replace_last3","content":"pub fn replace_last3(tuple: #(a, b, c), data: d) -&gt; #(a, b, d)\n\nSynonyms:\ngluple/transform.replace_last3\ngluple/transform replace_last3","url":"gluple/transform.html#replace_last3"},{"doc":"gluple/transform","title":"replace_last4","content":"pub fn replace_last4(\n  tuple: #(a, b, c, d),\n  data: e,\n) -&gt; #(a, b, c, e)\n\nSynonyms:\ngluple/transform.replace_last4\ngluple/transform replace_last4","url":"gluple/transform.html#replace_last4"},{"doc":"gluple/transform","title":"replace_last5","content":"pub fn replace_last5(\n  tuple: #(a, b, c, d, e),\n  data: f,\n) -&gt; #(a, b, c, d, f)\n\nSynonyms:\ngluple/transform.replace_last5\ngluple/transform replace_last5","url":"gluple/transform.html#replace_last5"},{"doc":"gluple/transform","title":"replace_last6","content":"pub fn replace_last6(\n  tuple: #(a, b, c, d, e, f),\n  data: g,\n) -&gt; #(a, b, c, d, e, g)\n\nSynonyms:\ngluple/transform.replace_last6\ngluple/transform replace_last6","url":"gluple/transform.html#replace_last6"},{"doc":"gluple/transform","title":"replace_last7","content":"pub fn replace_last7(\n  tuple: #(a, b, c, d, e, f, g),\n  data: h,\n) -&gt; #(a, b, c, d, e, f, h)\n\nSynonyms:\ngluple/transform.replace_last7\ngluple/transform replace_last7","url":"gluple/transform.html#replace_last7"},{"doc":"gluple/transform","title":"replace_last8","content":"pub fn replace_last8(\n  tuple: #(a, b, c, d, e, f, g, h),\n  data: i,\n) -&gt; #(a, b, c, d, e, f, g, i)\n\nSynonyms:\ngluple/transform.replace_last8\ngluple/transform replace_last8","url":"gluple/transform.html#replace_last8"},{"doc":"gluple/transform","title":"replace_last9","content":"pub fn replace_last9(\n  tuple: #(a, b, c, d, e, f, g, h, i),\n  data: j,\n) -&gt; #(a, b, c, d, e, f, g, h, j)\n\nSynonyms:\ngluple/transform.replace_last9\ngluple/transform replace_last9","url":"gluple/transform.html#replace_last9"},{"doc":"gluple/transform","title":"with_replace_last1","content":"pub fn with_replace_last1(tuple: #(a), cb: fn(a) -&gt; b) -&gt; #(b)\n\nSynonyms:\ngluple/transform.with_replace_last1\ngluple/transform with_replace_last1","url":"gluple/transform.html#with_replace_last1"},{"doc":"gluple/transform","title":"with_replace_last2","content":"pub fn with_replace_last2(\n  tuple: #(a, b),\n  cb: fn(a, b) -&gt; c,\n) -&gt; #(a, c)\n\nSynonyms:\ngluple/transform.with_replace_last2\ngluple/transform with_replace_last2","url":"gluple/transform.html#with_replace_last2"},{"doc":"gluple/transform","title":"with_replace_last3","content":"pub fn with_replace_last3(\n  tuple: #(a, b, c),\n  cb: fn(a, b, c) -&gt; d,\n) -&gt; #(a, b, d)\n\nSynonyms:\ngluple/transform.with_replace_last3\ngluple/transform with_replace_last3","url":"gluple/transform.html#with_replace_last3"},{"doc":"gluple/transform","title":"with_replace_last4","content":"pub fn with_replace_last4(\n  tuple: #(a, b, c, d),\n  cb: fn(a, b, c, d) -&gt; e,\n) -&gt; #(a, b, c, e)\n\nSynonyms:\ngluple/transform.with_replace_last4\ngluple/transform with_replace_last4","url":"gluple/transform.html#with_replace_last4"},{"doc":"gluple/transform","title":"with_replace_last5","content":"pub fn with_replace_last5(\n  tuple: #(a, b, c, d, e),\n  cb: fn(a, b, c, d, e) -&gt; f,\n) -&gt; #(a, b, c, d, f)\n\nSynonyms:\ngluple/transform.with_replace_last5\ngluple/transform with_replace_last5","url":"gluple/transform.html#with_replace_last5"},{"doc":"gluple/transform","title":"with_replace_last6","content":"pub fn with_replace_last6(\n  tuple: #(a, b, c, d, e, f),\n  cb: fn(a, b, c, d, e, f) -&gt; g,\n) -&gt; #(a, b, c, d, e, g)\n\nSynonyms:\ngluple/transform.with_replace_last6\ngluple/transform with_replace_last6","url":"gluple/transform.html#with_replace_last6"},{"doc":"gluple/transform","title":"with_replace_last7","content":"pub fn with_replace_last7(\n  tuple: #(a, b, c, d, e, f, g),\n  cb: fn(a, b, c, d, e, f, g) -&gt; h,\n) -&gt; #(a, b, c, d, e, f, h)\n\nSynonyms:\ngluple/transform.with_replace_last7\ngluple/transform with_replace_last7","url":"gluple/transform.html#with_replace_last7"},{"doc":"gluple/transform","title":"with_replace_last8","content":"pub fn with_replace_last8(\n  tuple: #(a, b, c, d, e, f, g, h),\n  cb: fn(a, b, c, d, e, f, g, h) -&gt; i,\n) -&gt; #(a, b, c, d, e, f, g, i)\n\nSynonyms:\ngluple/transform.with_replace_last8\ngluple/transform with_replace_last8","url":"gluple/transform.html#with_replace_last8"},{"doc":"gluple/transform","title":"with_replace_last9","content":"pub fn with_replace_last9(\n  tuple: #(a, b, c, d, e, f, g, h, i),\n  cb: fn(a, b, c, d, e, f, g, h, i) -&gt; j,\n) -&gt; #(a, b, c, d, e, f, g, h, j)\n\nSynonyms:\ngluple/transform.with_replace_last9\ngluple/transform with_replace_last9","url":"gluple/transform.html#with_replace_last9"},{"doc":"gluple/transform","title":"gluple/transform","content":"","url":"gluple/transform.html"}]);